Debian Bug report logs - #538676
libjavascript-beautifier-perl: FTBFS with new source format 3.0 (quilt): patch renamed file

version graph

Package: libjavascript-beautifier-perl; Maintainer for libjavascript-beautifier-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libjavascript-beautifier-perl is src:libjavascript-beautifier-perl.

Reported by: hertzog@debian.org

Date: Sun, 26 Jul 2009 09:18:03 UTC

Severity: wishlist

Found in version libjavascript-beautifier-perl/0.11-1

Fixed in version libjavascript-beautifier-perl/0.13-1

Done: Jonathan Yu <frequency@cpan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#538676; Package libjavascript-beautifier-perl. (Sun, 26 Jul 2009 09:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to hertzog@debian.org:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 26 Jul 2009 09:18:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: hertzog@debian.org
To: maintonly@bugs.debian.org
Subject: libjavascript-beautifier-perl: FTBFS with new source format 3.0 (quilt): patch renamed file
Date: Sun, 26 Jul 2009 11:13:02 +0200
Package: libjavascript-beautifier-perl
Version: 0.11-1
Severity: wishlist
Usertags: 3.0-quilt-by-default

To prepare a possible switch to the new source package format "3.0
(quilt)" [1], I converted all source packages and rebuilt the packages
afterwards to see what breaks, and libjavascript-beautifier-perl does break. To reproduce the
problem you can do this:
$ apt-get source libjavascript-beautifier-perl
$ mkdir -p libjavascript-beautifier-perl-0.11/debian/source
$ echo "3.0 (quilt)" >libjavascript-beautifier-perl-0.11/debian/source/format
$ dpkg-source -b libjavascript-beautifier-perl-0.11
$ dpkg-source -x libjavascript-beautifier-perl_0.11-1.dsc
$ cd libjavascript-beautifier-perl-0.11 && debuild -us -uc

In this process, if the .diff.gz contains changes to upstream files,
dpkg-source will have created a corresponding patch in
debian/patches/debian-changes-0.11-1 and will have registered that
patch in a quilt series (debian/patches/series, it is created if needed).
All the patches listed in the "series" file are applied directly during
the extraction (dpkg-source -x). quilt itself is used if available (and
will thus lead to the creation of the .pc directory), otherwise
dpkg-source applies the patches by itself. For more information about the
new source package format see the manual page dpkg-source(1).

In the case of libjavascript-beautifier-perl, one of the patch depends on some file being
renamed before hand. Don't do that but simply rename at install time (or
after install).

Cheers,

[1] http://wiki.debian.org/Projects/DebSrc3.0





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#538676; Package libjavascript-beautifier-perl. (Tue, 28 Jul 2009 22:18:04 GMT) Full text and rfc822 format available.

Message #8 received at 538676@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 538676@bugs.debian.org, 538676-submitter@bugs.debian.org
Subject: Bug in libjavascript-beautifier-perl fixed in revision 40947
Date: Tue, 28 Jul 2009 22:15:55 +0000
tag 538676 + pending
thanks

Some bugs are closed in revision 40947
by Jonathan Yu (jawnsy-guest)

Commit message:

Refreshed patch, renamed to remove-pl-extension.patch (Closes: #538676)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Tue, 28 Jul 2009 22:18:08 GMT) Full text and rfc822 format available.

Message sent on to hertzog@debian.org:
Bug#538676. (Tue, 28 Jul 2009 22:18:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#538676; Package libjavascript-beautifier-perl. (Tue, 28 Jul 2009 22:30:03 GMT) Full text and rfc822 format available.

Message #16 received at 538676@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 538676@bugs.debian.org, 538676-submitter@bugs.debian.org
Subject: Bug in libjavascript-beautifier-perl fixed in revision 40952
Date: Tue, 28 Jul 2009 22:27:32 +0000
tag 538676 + pending
thanks

Some bugs are closed in revision 40952
by Jonathan Yu (jawnsy-guest)

Commit message:

Ready for upload (for real this time, and it Closes: #538676), thanks to ansgar for reminding me to take care of it ^.~





Message sent on to hertzog@debian.org:
Bug#538676. (Tue, 28 Jul 2009 22:30:05 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Yu <frequency@cpan.org>:
You have taken responsibility. (Sat, 08 Aug 2009 00:57:08 GMT) Full text and rfc822 format available.

Notification sent to hertzog@debian.org:
Bug acknowledged by developer. (Sat, 08 Aug 2009 00:57:08 GMT) Full text and rfc822 format available.

Message #24 received at 538676-close@bugs.debian.org (full text, mbox):

From: Jonathan Yu <frequency@cpan.org>
To: 538676-close@bugs.debian.org
Subject: Bug#538676: fixed in libjavascript-beautifier-perl 0.13-1
Date: Sat, 08 Aug 2009 00:32:07 +0000
Source: libjavascript-beautifier-perl
Source-Version: 0.13-1

We believe that the bug you reported is fixed in the latest version of
libjavascript-beautifier-perl, which is due to be installed in the Debian FTP archive:

libjavascript-beautifier-perl_0.13-1.diff.gz
  to pool/main/libj/libjavascript-beautifier-perl/libjavascript-beautifier-perl_0.13-1.diff.gz
libjavascript-beautifier-perl_0.13-1.dsc
  to pool/main/libj/libjavascript-beautifier-perl/libjavascript-beautifier-perl_0.13-1.dsc
libjavascript-beautifier-perl_0.13-1_all.deb
  to pool/main/libj/libjavascript-beautifier-perl/libjavascript-beautifier-perl_0.13-1_all.deb
libjavascript-beautifier-perl_0.13.orig.tar.gz
  to pool/main/libj/libjavascript-beautifier-perl/libjavascript-beautifier-perl_0.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 538676@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Yu <frequency@cpan.org> (supplier of updated libjavascript-beautifier-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 02 Aug 2009 06:41:58 -0400
Source: libjavascript-beautifier-perl
Binary: libjavascript-beautifier-perl
Architecture: source all
Version: 0.13-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonathan Yu <frequency@cpan.org>
Description: 
 libjavascript-beautifier-perl - Perl module to beautify JavaScript code
Closes: 538676
Changes: 
 libjavascript-beautifier-perl (0.13-1) unstable; urgency=low
 .
   * New upstream release (0.12)
     + Allow unescaped / in regular expression character classes
     + Fixed broken <!-- / --> handline
     + Added space between anonymous function parentheses
   * Standards-Version 3.8.2 (no changes)
   * Updated description in control file
   * Added myself to Uploaders and Copyright
   * Refreshed patch, renamed to remove-pl-extension.patch (Closes: #538676)
     + Patch the file before renaming, and unpatch after renaming, so that it
       works with the new quilt patch system
 .
   * New upstream release (0.13)
     + Fix for prefix operators (increment,decrement)
     + Put spaces in front of colons in ternary (a ? b : c) expressions
     + No spaces in front of colons in class literals ({ 1: "a", 2: "b" })
     + Remove spaces between unary +/-/~ and the operand (-a, case -1, !a)
     + Add a blank line between a new block and the start of an expression
Checksums-Sha1: 
 fb038d64c828851e092af2674118ce2c5ec790aa 1506 libjavascript-beautifier-perl_0.13-1.dsc
 334bfa108794a00c667186b5fc1f5994b3213f49 12321 libjavascript-beautifier-perl_0.13.orig.tar.gz
 fb2e5d15a7cce40333f546e57307a62ac03c4f2b 2318 libjavascript-beautifier-perl_0.13-1.diff.gz
 9ed6865ef532d681d501094e895b3d876f87183c 14472 libjavascript-beautifier-perl_0.13-1_all.deb
Checksums-Sha256: 
 b99f7e22c9177f24320fccf2c8bb6f33d1084eeca2dc70138f7337393cb5f3ab 1506 libjavascript-beautifier-perl_0.13-1.dsc
 6632b15d0f84a8addd033b92b168ed502d4fddd88ff64d7f39ba11fa6125cbae 12321 libjavascript-beautifier-perl_0.13.orig.tar.gz
 b5444396f3d27b866fde7ef441dd5c9ef7c0b02c11bb1a40b116d6e9b0a90cf3 2318 libjavascript-beautifier-perl_0.13-1.diff.gz
 c6e548818fd94d4a4faad218cf4acd3a0365c78ca654c5127155158305022fda 14472 libjavascript-beautifier-perl_0.13-1_all.deb
Files: 
 fa6a74b5c6b66792f3a08a8e2c91e8da 1506 perl optional libjavascript-beautifier-perl_0.13-1.dsc
 0617ed34b6c1ba10ccbe1472bf807d61 12321 perl optional libjavascript-beautifier-perl_0.13.orig.tar.gz
 1e317b595a39683c9bd5af00c1862130 2318 perl optional libjavascript-beautifier-perl_0.13-1.diff.gz
 a99fd3f0775645864e3a95e70cae906e 14472 perl optional libjavascript-beautifier-perl_0.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkp8xSkACgkQOzKYnQDzz+SGtwCfYHhWRFCFp4nIHsf816nqDlSM
48wAn1lGLBhdNkMEZ+5VXIEz4utdtPNB
=vslb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Sep 2009 07:57:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:24:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.